uniform	sampler2D	s_texture1;

varying	float		light_distance;

varying	vec3		light_attenuation;
varying	vec3		view_direction;
varying	vec4		light_diffuse;
varying	vec4		light_direction;


void main()
{
	vec3	normal = normalize(texture2D(s_texture1, gl_TexCoord[0].st).xyz * 2.0 - 1.0);
	float	intensity = clamp(dot(normalize(light_direction.xyz), normal), 0.0, 1.0);

	// is the light directional?
	if(light_direction.w > 0.000001)
	{
		intensity /= dot(light_attenuation, vec3(1.0, light_distance, light_distance * light_distance));
	}

	gl_FragColor = vec4(0.5, 0.5, 0.5, 1.0) * intensity * light_diffuse;
}