uniform int		n_lightsource;

varying	float	light_distance;

varying	vec3	light_attenuation;
varying	vec3	view_direction;
varying	vec4	light_diffuse;
varying	vec4	light_direction;


void main()
{
	vec3	tangent,
			binormal,
			normal;

	tangent = gl_NormalMatrix * vec3(1.0, 0.0, 0.0);
	normal = gl_NormalMatrix * vec3(0.0, -1.0, 0.0);
	binormal = cross(normal, tangent);

	const gl_LightSourceParameters	ls = gl_LightSource[n_lightsource];
	
	vec3	temp;
	vec3	vertex = vec3(gl_ModelViewMatrix * gl_Vertex);

	if(ls.position.w > 0.000001)
	{
		temp = ls.position.xyz / ls.position.w - vertex;
		
		light_distance = length(temp);
		temp /= light_distance;

		light_direction.w = 1.0;
	}
	else
	{
		temp = gl_LightSource[0].position.xyz;
		
		light_direction.w = 0.0;
	}
	light_direction.x = dot(temp, tangent);
	light_direction.y = dot(temp, binormal);
	light_direction.z = dot(temp, normal);

	temp = -vertex;
	view_direction.x = dot(temp, tangent);
	view_direction.y = dot(temp, binormal);
	view_direction.z = dot(temp, normal);

	light_attenuation = vec3(ls.constantAttenuation, ls.linearAttenuation, ls.quadraticAttenuation);
	light_diffuse = ls.diffuse;
	
	gl_TexCoord[0] = vec4(step(0.0, gl_Vertex.x), step(0.0, gl_Vertex.z), 0.0, 0.0);
	gl_Position = ftransform();
}