uniform	sampler2D	s_texture0;
uniform	sampler2D	s_texture1;

varying float		gradient;
varying	float		light_distance;

varying	vec3		light_attenuation;
varying	vec3		normal;
varying	vec4		light_diffuse;
varying	vec4		light_direction;


void main()
{
	vec4	texel = texture2D(s_texture0, gl_TexCoord[0].st) * gradient + texture2D(s_texture1, gl_TexCoord[1].st) * (1.0 - gradient);
	float	intensity = clamp(dot(normalize(light_direction.xyz), normalize(normal)), 0.0, 1.0);

	// is the light directional?
	if(light_direction.w > 0.000001)
	{
		intensity /= dot(light_attenuation, vec3(1.0, light_distance, light_distance * light_distance));
	}

	gl_FragColor = texel * intensity * light_diffuse * gl_FrontMaterial.diffuse;
}
