uniform int		n_lightsource;

varying float	gradient;
varying	float	light_distance;

varying	vec3	light_attenuation;
varying	vec3	normal;
varying	vec4	light_diffuse;
varying	vec4	light_direction;


void main()
{
	gradient = gl_Normal.y * gl_Normal.y;

	const gl_LightSourceParameters	ls = gl_LightSource[n_lightsource];
	
	normal = gl_NormalMatrix * gl_Normal;

	light_attenuation = vec3(ls.constantAttenuation, ls.linearAttenuation, ls.quadraticAttenuation);
	light_diffuse = ls.diffuse;
	if(ls.position.w > 0.000001)
	{
		light_direction = vec4(ls.position.xyz / ls.position.w - vec3(gl_ModelViewMatrix * gl_Vertex), 1.0);
		light_distance = length(light_direction);
		light_direction /= light_distance;
	}
	else
		light_direction = ls.position;

	gl_TexCoord[0] = vec4(gl_Vertex.xz / 64.0, 0.0, 0.0);
	gl_TexCoord[1] = vec4(gl_Vertex.xz / 32.0, 0.0, 0.0);
	gl_Position = ftransform();
}
